org.apache.fop.fonts

## Interface FontEventListener

- All Known Implementing Classes:
    FontEventAdapter

      public interface FontEventListener

  Event listener interface for font-related events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fontDirectoryNotFound(Object source, String dir)` An error occurred trying to find the font directory specified in the config file.
    `void` | `fontLoadingErrorAtAutoDetection(Object source, String fontURL, Exception e)` An error occurred while loading a font for auto-detection.
    `void` | `fontSubstituted(Object source, FontTriplet requested, FontTriplet effective)` Notifies about a font being substituted as the requested one isn't available.
    `void` | `glyphNotAvailable(Object source, char ch, String fontName)` A glyph has been requested that is not available in the font.
    `void` | `svgTextStrokedAsShapes(Object source, String fontFamily)` The SVG text will be stroked as shapes.

- - ### Method Detail

    - #### fontSubstituted

          void fontSubstituted(Object source,
                               FontTriplet requested,
                               FontTriplet effective)

      Notifies about a font being substituted as the requested one isn't available.
      Parameters:
        `source` - the event source
        `requested` - the requested font triplet
        `effective` - the effective font triplet

    - #### fontLoadingErrorAtAutoDetection

          void fontLoadingErrorAtAutoDetection(Object source,
                                               String fontURL,
                                               Exception e)

      An error occurred while loading a font for auto-detection.
      Parameters:
        `source` - the event source
        `fontURL` - the font URL
        `e` - the original exception

    - #### glyphNotAvailable

          void glyphNotAvailable(Object source,
                                 char ch,
                                 String fontName)

      A glyph has been requested that is not available in the font.
      Parameters:
        `source` - the event source
        `ch` - the character for which the glyph isn't available
        `fontName` - the name of the font

    - #### fontDirectoryNotFound

          void fontDirectoryNotFound(Object source,
                                     String dir)

      An error occurred trying to find the font directory specified in the config file.
      Parameters:
        `source` - the event source
        `dir` - the directory in the config file

    - #### svgTextStrokedAsShapes

          void svgTextStrokedAsShapes(Object source,
                                      String fontFamily)

      The SVG text will be stroked as shapes.
      Parameters:
        `source` - the event source
        `fontFamily` - the family name of the font that is being stroked

Copyright © 2023 Apache Software Foundation. All rights reserved.